#!/usr/local/bin/perl

# http://www.Adcycle.com - Banner Manager Version 0.1b  Sept 23, 1999
#       Notes:  First Beta. Use with caution 


# Copyright (c) 1999, AdCycle.com All rights reserved.
#
# Redistribution and use in source and binary forms, with or without 
# modification, are permitted provided that the following conditions are met:
#
#
# * Redistributions must retain the above copyright notice, this 
#   list of conditions and the following disclaimer.
#
# * Links, text, images, and advertising banners in the Administration 
#   areas must not be modified or removed from original form without 
#   specific prior written permission.
#
# * Redistributions must reproduce the above copyright 
#   notice, this list of conditions and the following disclaimer in the
#   documentation and/or other materials provided with the distribution.
#
# * Redistributions must be free. Under no circumstances may this software
#   be sold (modified or unmodified).
#
# * Neither name of the AdCycle.com nor the names of its contributors 
#   may be used to endorse or promote products derived from this 
#   software without specific prior written permission. 

# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR 
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED 
# OF THE POSSIBILITY OF SUCH DAMAGE.


#########################################################################
####             Installation Notes for adcycle-lib.cgi              ####
#########################################################################
#												#
# 1. Update first line for perl5 path (usually the default will work)	#
#												#
# 2. The following options must customized					#
#												#

$admin_user="ad";  #admin login name (enter a user name)
$admin_password="ad"; #admin password (enter a user password)

$cgi_bin_url="http://www.your_domain.com/cgi-bin/adcycle0.1b";
   # -- leave out trailing "/"
   # -- url for directory of the adcycle cgi scripts

$images_url="http://www.your_domain.com/adimages"; 
   # -- leave out trailing "/"
   # -- url for directory of the adcycle images

$db_user="mysql_user_name"; # MySQL database user
$db_password="mysql_password"; # MySQL database user password

$db_database="adcycle"; # MySQL database name (usually leave as-is)
$db_driver = "mysql"; # (usually leave as-is)
$db_options=""; #optional IP or domain name (usually leave as-is)
    #-- enter ":IPADDRESS" or ":DOMAINNAME" (usually leave as-is)

#** Don't forget to create a mySQL database consistent with "$db_database"

#
# * No other mods are required for this file
###################################################################
####                  End Installation Notes                   ####
###################################################################

sub db_connect{
use DBI;
$dsn = "DBI:$db_driver:database=$db_database$db_options";
$dbh = DBI->connect($dsn, $db_user, $db_password);
$sth = $dbh->prepare("LOCK TABLES ad WRITE,cp WRITE,iplog WRITE,login WRITE");
$sth->execute;
}

sub get_env{
$remote = $ENV{'REMOTE_ADDR'};
$remote =~ s/\s//g;
$agent = $ENV{'HTTP_USER_AGENT'};
$cookie=$ENV{'HTTP_COOKIE'};
$refer=$ENV{'HTTP_REFERER'};
$agent=$ENV{'HTTP_USER_AGENT'};
}

sub get_time{
($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime(time());
$mon++;
if($year==99){$year=$year+1900;}else{$year=$year+2000;}
$date="$year-$mon-$mday";
$datestamp="$year-$mon-$mday $hour:$min:$sec";
$date_eq=($year*1000)+($mon*100)+$mday;
}
1;
