#!/usr/local/bin/perl
# Copyright (c) 1999, AdCycle.com All rights reserved.
# http://www.AdCycle.com/support.html - Support

#USE THIS SCRIPT TO TEST YOUR DATABASE SETUP
require "adcycle-lib.cgi";
require "admin-lib.cgi";

print "\n\nStep 1 - Trying to connect to database. If you don't see the message \"Database was found\", please check to see if you have created a database called \"$db_database\" and have the permissions properly set.\n\n";
sleep(2);

$dsn = "DBI:$db_driver:database=$db_database$db_options";
$dbh = DBI->connect($dsn, $db_user, $db_password);

$DB_found="NO";
$sth = $dbh->prepare("show databases;"); 
$sth->execute;
while(@log = $sth->fetchrow_array){
if($log[0] eq $db_database){
$DB_found="YES";
}
}

if($DB_found eq "NO"){
print "Your database was not found. Please check to see if you have created a database called \"$db_database\", or check to see if MySQL permissions have been properly set.\n";
exit(0);
}

print "Database was found! Cool.\n\n";
sleep(2);

$TB_found="NO";
$sth = $dbh->prepare("show tables;"); 
$sth->execute;
while(@log = $sth->fetchrow_array){
if($log[0] eq "iplog"){
$TB_found="YES";
}
}

if($TB_found eq "YES"){
print "Old tables have been erased\n\n";
&db_erase_tables(1);
}

print "Step 2. - Building Adcycle Tables\n\n";
sleep(2);

&db_create_tables(1);

print "Done! Your setup is complete. Try to access the admin.cgi file from the web. Remember to check your web server error log file if you get error messages :)\n";
sleep(1);
